const logger = require("pino");

let log = console;

if (process.env.LOG_PATH || process.env.LOG_IN_FILE_ENABLED) {
  const destination = logger.destination(process.env.LOG_PATH || "./app.log");
  log = logger(
    {
      name: process.env.SERVICE_NAME || "scripts",
      level: process.env.LOG_LEVEL || "info"
    },
    destination
  );
}

module.exports = log;
